package com.androidmc;

import java.util.ArrayList;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.ImageView.ScaleType;

public final class PictureAdapter extends BaseAdapter {
	private LayoutInflater mInflater;
	private ArrayList<String> pics_list;
	private String dirPath;
	
	public PictureAdapter(Context context, ArrayList<String> pics, String path) {
		mInflater = LayoutInflater.from(context);
		pics_list = pics;
		dirPath = path;
	}
	
	public int getCount() {
		return pics_list.size();
	}
	
	public Object getItem(int position) {
		return position;
	}
	
	public long getItemId(int position) {
		return position;
	}
	
	public View getView(int position, View convertView, ViewGroup parent) {
		ViewHolder holder;
		
		if (convertView == null) {
			convertView = mInflater.inflate(R.layout.list_item_icon_text, null);
			holder = new ViewHolder();
			holder.text = (TextView) convertView.findViewById(R.id.text);
            holder.icon = (ImageView) convertView.findViewById(R.id.icon);

            convertView.setTag(holder);
		}
		else {
			holder = (ViewHolder) convertView.getTag();
		}
		
		holder.text.setText(pics_list.get(position));
		holder.text.setPadding(10, 0, 0, 0);
		holder.text.setTextSize(20.0f);
		BitmapFactory.Options opts = new BitmapFactory.Options();
		opts.inSampleSize = 32;
		Bitmap bi = BitmapFactory.decodeFile(dirPath + pics_list.get(position), opts);
		holder.icon.setImageBitmap(bi);
		holder.icon.setScaleType(ScaleType.CENTER_CROP);
		holder.icon.setBackgroundResource(R.drawable.picture_frame);
		
		return convertView;
	}
	
	static class ViewHolder {
        TextView text;
        ImageView icon;
    }
}
